Skip to main content

Update user's limits by ID

PUT 

/v2/users/:userId/limits

Updates the same limits as Update user's limits, for an account given by its ID or username.

You can only access your own account, or the organization your API token belongs to. API tokens with limited permissions can't use this endpoint. For an organization, you also need the permission to manage the organization.

Request

Path Parameters

    userId string required

    User ID or username of your account, or of the organization your API token belongs to.


    Example: HGzIk8z78YcAPEB

Body

  • maxMonthlyUsageUsd number

    If your platform usage in the billing period exceeds the prepaid usage, you will be charged extra. Setting this property you can update your hard limit on monthly platform usage to prevent accidental overage or to limit the extra charges.


    Example: 300
  • dataRetentionDays integer

    Apify securely stores your ten most recent Actor runs indefinitely, ensuring they are always accessible. Unnamed storages and other Actor runs are automatically deleted after the retention period. If you're subscribed, you can change it to keep data for longer or to limit your usage. Lear more.


    Example: 90

Status 201

Response Headers
    {}